Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006679OCaml~DO NOT USE (was: OCaml general)public2014-11-28 05:542016-12-07 11:49
Reporterfuruse 
Assigned Tofrisch 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.1 
Target Version4.02.2+dev / +rc1Fixed in Version4.03.0+dev / +beta1 
Summary0006679: pprintast bug around constraint in 4.02.1
DescriptionSource code

  type 'a t = 'a constraint 'a = [> `Bar]

is pprintast'ed wrongly as:

  "type 'a t = 'aconstraint 'a = [> `Bar]"
Tagsjunior_job
Attached Files

- Relationships

-  Notes
(0013022)
frisch (developer)
2015-01-07 12:34

Fixed in trunk, commit 15765.

- Issue History
Date Modified Username Field Change
2014-11-28 05:54 furuse New Issue
2015-01-06 22:04 doligez Tag Attached: junior_job
2015-01-06 22:05 doligez Target Version => 4.02.2+dev / +rc1
2015-01-06 22:05 doligez Status new => acknowledged
2015-01-06 22:05 doligez Severity major => minor
2015-01-07 12:34 frisch Note Added: 0013022
2015-01-07 12:34 frisch Status acknowledged => resolved
2015-01-07 12:34 frisch Fixed in Version => 4.03.0+dev / +beta1
2015-01-07 12:34 frisch Resolution open => fixed
2015-01-07 12:34 frisch Assigned To => frisch
2016-12-07 11:49 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker